{-# LANGUAGE NoImplicitPrelude #-}


{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE TemplateHaskell #-}
{-# LANGUAGE QuasiQuotes #-}


module Web.Geek.MarkupEngine.Markdown where

import Air.Env
import Data.Text (unpack)
import GHC.Exts( IsString(..) )
import Text.Pandoc (readMarkdown, writeHtmlString)
import Web.Geek.Type
import qualified Data.Default as Default

markdown :: MarkupEngine
markdown = def
  {
    markup_engine_name = "markdown"
  , extensions = ["md", "markdown"]
  , transformer = _transformer
  }
  where
    _transformer = 
        unpack
      > readMarkdown Default.def
      > writeHtmlString Default.def
      > fromString